%if 0
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Jason Kersey (kerz@netscape.com)
 *   Pierre Chanial (chanial@noos.fr)
 *   Dean Tessman (dean_tessman@hotmail.com)
 *   Blake Ross (blake@cs.stanford.edu)
 *   Pamela Greene (pamg.bugs@gmail.com)
 *   Dão Gottwald (dao@mozilla.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
%endif

@import url("chrome://global/skin/");

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

#menubar-items {
  -moz-box-orient: vertical; /* for flex hack */
}

#menubar-items > menubar {
  -moz-box-flex: 1; /* make menu items expand to fill toolbar height */
}

#PersonalToolbar {
  min-height: 26px;
}

#wrapper-search-container #searchbar html|*.textbox-input {
  visibility: hidden;
}

#navigator-toolbox[inFullscreen="true"],
#navigator-toolbox[inFullscreen="true"] > #nav-bar {
  border-top: none;
  padding-top: 0;
}

/* Places toolbar */
toolbarbutton.bookmark-item {
  margin: 0;
  min-width: 0;
  max-width: 13em;
  padding: 2px 3px;
}

toolbarbutton.bookmark-item:hover:active,
toolbarbutton.bookmark-item[open="true"] {
  padding-top: 3px;
  padding-bottom: 1px;
  -moz-padding-start: 4px;
  -moz-padding-end: 2px;
}

.bookmark-item > .toolbarbutton-icon {
  width: 16px;
  height: 16px;
}

/* Prevent [mode="icons"] from hiding the label */
.bookmark-item > .toolbarbutton-text {
  display: -moz-box !important;
}

.bookmark-item > .toolbarbutton-menu-dropmarker {
  display: none;
}

/* Dropmarker for folder bookmarks */
.bookmark-item[container] > .toolbarbutton-menu-dropmarker {
  display: -moz-box !important;
}

.bookmarks-toolbar-customize {
  display: none;
  max-width: 15em !important;
}

toolbarpaletteitem[place="toolbar"] .bookmarks-toolbar-customize {
  display: -moz-box;
}

toolbarpaletteitem[place="toolbar"] .bookmarks-toolbar-items {
  visibility: hidden;
}

toolbarpaletteitem[place="toolbar"] .places-toolbar-items {
  display: none;
}

/* Bookmark menus */
menu.bookmark-item,
menuitem.bookmark-item {
  min-width: 0;
  max-width: 26em;
}

.bookmark-item > .menu-iconic-left {
  margin-top: 0;
  margin-bottom: 0;
}

.bookmark-item > .menu-iconic-left > .menu-iconic-icon {
  -moz-padding-start: 0px;
}

/* Bookmark drag and drop styles */
.bookmark-item[dragover-into="true"] {
  background: Highlight !important;
  color: HighlightText !important;
}

/* rules for menupopup drop indicators */
.menupopup-drop-indicator-bar {
  position: relative;
  /* these two margins must together compensate the indicator's height */
  margin-top: -1px;
  margin-bottom: -1px;
}

.menupopup-drop-indicator {
  list-style-image: none;
  height: 2px;
  -moz-margin-end: -4em;
  background-color: Highlight;
}

.toolbar-drop-indicator {
  width: 9px;
  height: 18px;
  margin-bottom: -6px;
  position: relative;
  background: url("chrome://browser/skin/places/toolbarDropMarker.png") 50% 50% no-repeat;
}

.toolbar-drop-indicator-bar {
  visibility: hidden;
  height: 18px;
  margin-bottom: -18px;
  position: relative;
}

.toolbar-drop-indicator-bar[dragging="true"] {
  visibility: visible;
}

/* Bookmark items */
.bookmark-item:not([container])  {
  list-style-image: url("chrome://global/skin/icons/folder-item.png");
  -moz-image-region: rect(0px, 16px, 16px, 0px)
}

.bookmark-item[container] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

.bookmark-item[container][livemark] { 
  list-style-image: url("chrome://browser/skin/feeds/feedIcon16.png");
}

.bookmark-item[container][livemark] .bookmark-item {
  list-style-image: url("chrome://browser/skin/places/livemark-item.png");
}

.bookmark-item[container][query] {
  list-style-image: url("chrome://browser/skin/places/query.png");
}

.bookmark-item[query][tagContainer] {
  list-style-image: url("chrome://mozapps/skin/places/tagContainerIcon.png");
}

.bookmark-item[query][dayContainer] {
  list-style-image: url("chrome://browser/skin/places/calendar.png");
}

.bookmark-item[query][hostContainer] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

.bookmark-item[query][hostContainer][open] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

/* Stock icons for the menu bar items */
menuitem:not([type]) {
  -moz-binding: url("chrome://global/content/bindings/menu.xml#menuitem-iconic");
}

#placesContext_open\:newwindow,
menuitem[command="cmd_newNavigator"],
#context-openlink,
#context-openframe {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 80px 16px 64px);
}

#placesContext_open\:newtab,
#placesContext_openContainer\:tabs,
menuitem[command="cmd_newNavigatorTab"],
#context-openlinkintab,
#context-openframeintab {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 64px 16px 48px);
}

menuitem[command="Browser:OpenFile"] {
  list-style-image: url("moz-icon://stock/gtk-open?size=menu");
}

#menu_close {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

#context-media-play {
  list-style-image: url("moz-icon://stock/gtk-media-play?size=menu");
}

#context-media-pause {
  list-style-image: url("moz-icon://stock/gtk-media-pause?size=menu");
}

menuitem[command="Browser:SavePage"],
#context-savelink,
#context-saveimage,
#context-savevideo,
#context-saveaudio,
#context-savepage,
#context-saveframe {
  list-style-image: url("moz-icon://stock/gtk-save-as?size=menu");
}

menuitem[command="cmd_printPreview"] {
  list-style-image: url("moz-icon://stock/gtk-print-preview?size=menu");
}

menuitem[command="cmd_print"],
#context-printframe {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu");
}

#menu_FileQuitItem {
  list-style-image: url("moz-icon://stock/gtk-quit?size=menu");
}

menuitem[command="cmd_undo"],
#context-undo {
  list-style-image: url("moz-icon://stock/gtk-undo?size=menu");
}

menuitem[command="cmd_undo"][disabled],
#context-undo[disabled] {
  list-style-image: url("moz-icon://stock/gtk-undo?size=menu&state=disabled");
}

menuitem[command="cmd_redo"] {
  list-style-image: url("moz-icon://stock/gtk-redo?size=menu");
}

menuitem[command="cmd_redo"][disabled] {
  list-style-image: url("moz-icon://stock/gtk-redo?size=menu&state=disabled");
}

menuitem[command="cmd_cut"],
#context-cut {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu");
}

menuitem[command="cmd_cut"][disabled],
#context-cut[disabled] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu&state=disabled");
}

menuitem[command="cmd_copy"],
#context-copy,
#context-copyimage,
#context-copyvideourl,
#context-copyaudiourl,
#context-copylink,
#context-copyemail {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu");
}

menuitem[command="cmd_copy"][disabled],
#context-copy[disabled] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu&state=disabled");
}

menuitem[command="cmd_paste"],
#context-paste {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu");
}

menuitem[command="cmd_paste"][disabled],
#context-paste[disabled] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu&state=disabled");
}

menuitem[command="cmd_delete"],
#context-delete {
  list-style-image: url("moz-icon://stock/gtk-delete?size=menu");
}

menuitem[command="cmd_delete"][disabled],
#context-delete[disabled] {
  list-style-image: url("moz-icon://stock/gtk-delete?size=menu&state=disabled");
}

menuitem[command="cmd_selectAll"] {
  list-style-image: url("moz-icon://stock/gtk-select-all?size=menu");
}

#menu_find {
  list-style-image: url("moz-icon://stock/gtk-find?size=menu");
}

#menu_find[disabled] {
  list-style-image: url("moz-icon://stock/gtk-find?size=menu&state=disabled");
}

#menu_preferences {
  list-style-image: url("moz-icon://stock/gtk-preferences?size=menu");
}

menuitem[command="Browser:Stop"],
#context-stop {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu");
}

menuitem[command="Browser:Stop"][disabled],
#context-stop[disabled] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu&state=disabled");
}

#placesContext_reload,
#placesContext_reloadMicrosummary,
menuitem[command="Browser:ReloadOrDuplicate"],
#context-reload,
#context-reloadframe {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}

menuitem[command="Browser:ReloadOrDuplicate"][disabled],
#context-reload[disabled] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu&state=disabled");
}

menuitem[command="cmd_fullZoomEnlarge"] {
  list-style-image: url("moz-icon://stock/gtk-zoom-in?size=menu");
}

menuitem[command="cmd_fullZoomReduce"] {
  list-style-image: url("moz-icon://stock/gtk-zoom-out?size=menu");
}

menuitem[command="cmd_fullZoomReset"] {
  list-style-image: url("moz-icon://stock/gtk-zoom-100?size=menu");
}

menuitem[key="goBackKb"],
#context-back {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu");
}

menuitem[key="goBackKb"][disabled],
#context-back[disabled] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu&state=disabled");
}

menuitem[key="goBackKb"][chromedir="rtl"],
#context-back[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu");
}

menuitem[key="goBackKb"][disabled][chromedir="rtl"],
#context-back[disabled][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu&state=disabled");
}

menuitem[key="goForwardKb"],
#context-forward {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu");
}

menuitem[key="goForwardKb"][disabled],
#context-forward[disabled] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu&state=disabled");
}

menuitem[key="goForwardKb"][chromedir="rtl"],
#context-forward[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu");
}

menuitem[key="goForwardKb"][disabled][chromedir="rtl"],
#context-forward[disabled][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu&state=disabled");
}

#historyMenuHome {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu");
}

menuitem[command="Browser:ShowAllHistory"] {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 32px 16px 16px);
}

menuitem[command="Browser:ShowAllBookmarks"] {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 48px 16px 32px);
}

#bookmarksToolbarFolderMenu {
  list-style-image: url("chrome://browser/skin/places/bookmarksToolbar.png");  
}

#menu_openDownloads {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}

menuitem[command="View:PageInfo"],
#context-viewinfo,
#context-viewframeinfo {
  list-style-image: url("moz-icon://stock/gtk-info?size=menu");
}

#placesContext_show\:info,
#context-metadata {
  list-style-image: url("moz-icon://stock/gtk-properties?size=menu");
}

#sanitizeItem {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu");
}

menuitem[key="key_openHelp"] {
  list-style-image: url("moz-icon://stock/gtk-help?size=menu");
}

#aboutName {
  list-style-image: url("moz-icon://stock/gtk-about?size=menu");
}

#javascriptConsole {
  list-style-image: url("chrome://global/skin/console/console.png");
}

/* Primary toolbar buttons */
.toolbarbutton-1 {
  -moz-box-orient: vertical;
  min-width: 0;
  list-style-image: url("chrome://browser/skin/Toolbar.png");
}

.toolbarbutton-1 > .toolbarbutton-icon {
  -moz-margin-end: 0px;
}

toolbar[mode="full"] .toolbarbutton-1,
toolbar[mode="full"] .toolbarbutton-menubutton-button {
  min-width: 57px;
}

.toolbarbutton-1, .toolbarbutton-menubutton-button {
  padding: 5px;
}

.toolbarbutton-1[checked="true"] {
  padding: 5px !important;
}

/* Put the unified dropdown button on a diet */
#back-forward-dropmarker {
  width: 24px;
}

#back-forward-dropmarker > .toolbarbutton-menu-dropmarker {
  width: 12px;
}

/* 24px primary toolbar buttons */
#back-button {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar");
}
#back-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar&state=disabled");
}

#back-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar");
}
#back-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar&state=disabled");
}

#forward-button {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar");
}
#forward-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar&state=disabled");
}

#forward-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar");
}
#forward-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar&state=disabled");
}

#reload-button {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=toolbar");
}
#reload-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=toolbar&state=disabled");
}

#stop-button {
  list-style-image: url("moz-icon://stock/gtk-stop?size=toolbar");
}
#stop-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=toolbar&state=disabled");
}

#home-button {
  list-style-image: url("moz-icon://stock/gtk-home?size=toolbar");
}
#home-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-home?size=toolbar&state=disabled");
}

#downloads-button {
  -moz-image-region: rect(0px 24px 24px 0px);
}
#downloads-button[disabled="true"] {
  -moz-image-region: rect(24px 24px 48px 0px);
}

#history-button {
  -moz-image-region: rect(0px 48px 24px 24px);
}
#history-button[disabled="true"] {
  -moz-image-region: rect(24px 48px 48px 24px);
}

#bookmarks-button {
  -moz-image-region: rect(0px 72px 24px 48px);
}
#bookmarks-button[disabled="true"] {
  -moz-image-region: rect(24px 72px 48px 48px);
}

#print-button {
  list-style-image: url("moz-icon://stock/gtk-print?size=toolbar");
}
#print-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-print?size=toolbar&state=disabled");
}

#new-window-button {
  -moz-image-region: rect(0px 120px 24px 96px);
}
#new-window-button[disabled="true"] {
  -moz-image-region: rect(24px 120px 48px 96px);
}

#cut-button {
  list-style-image: url("moz-icon://stock/gtk-cut?size=toolbar");
}
#cut-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=toolbar&state=disabled");
}

#copy-button {
  list-style-image: url("moz-icon://stock/gtk-copy?size=toolbar");
}
#copy-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=toolbar&state=disabled");
}

#paste-button {
  list-style-image: url("moz-icon://stock/gtk-paste?size=toolbar");
}
#paste-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=toolbar&state=disabled");
}

/* 16px primary toolbar buttons */
toolbar[iconsize="small"] .toolbarbutton-1 {
  -moz-box-orient: vertical;
  min-width: 0;
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
}

toolbar[iconsize="small"] .toolbarbutton-1[type="menu-button"] {
  border: 0 !important;
}

toolbar[iconsize="small"] #back-button {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu");
}
.unified-nav-back[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu") !important;
}
toolbar[iconsize="small"] #back-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu&state=disabled");
}

toolbar[iconsize="small"] #back-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu");
}
menupopup[chromedir="rtl"] > .unified-nav-back[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu") !important;
}
toolbar[iconsize="small"] #back-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu&state=disabled");
}

toolbar[iconsize="small"] #forward-button {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu");
}
.unified-nav-forward[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu") !important;
}
toolbar[iconsize="small"] #forward-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu&state=disabled");
}

toolbar[iconsize="small"] #forward-button[chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu");
}
menupopup[chromedir="rtl"] > .unified-nav-forward[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu") !important;
}
toolbar[iconsize="small"] #forward-button[disabled="true"][chromedir="rtl"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu&state=disabled");
}

toolbar[iconsize="small"] #stop-button {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu");
}
toolbar[iconsize="small"] #stop-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu&state=disabled");
}

toolbar[iconsize="small"] #reload-button {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}
toolbar[iconsize="small"] #reload-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu&state=disabled");
}

toolbar[iconsize="small"] #home-button ,
#home-button.bookmark-item {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu");
}
toolbar[iconsize="small"] #home-button[disabled="true"] ,
#home-button.bookmark-item[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu&state=disabled");
}

toolbar[iconsize="small"] #downloads-button {
  -moz-image-region: rect(0px 16px 16px 0px);
}
toolbar[iconsize="small"] #downloads-button[disabled="true"] {
  -moz-image-region: rect(16px 16px 32px 0px);
}

toolbar[iconsize="small"] #history-button {
  -moz-image-region: rect(0px 32px 16px 16px);
}
toolbar[iconsize="small"] #history-button[disabled="true"] {
  -moz-image-region: rect(16px 32px 32px 16px);
}

toolbar[iconsize="small"] #bookmarks-button {
  -moz-image-region: rect(0px 48px 16px 32px);
}
toolbar[iconsize="small"] #bookmarks-button[disabled="true"] {
  -moz-image-region: rect(16px 48px 32px 32px);
}

toolbar[iconsize="small"] #print-button {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu");
}
toolbar[iconsize="small"] #print-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu&state=disabled");
}

toolbar[iconsize="small"] #new-window-button {
  -moz-image-region: rect(0px 80px 16px 64px);
}
toolbar[iconsize="small"] #new-window-button[disabled="true"] {
  -moz-image-region: rect(16px 80px 32px 64px);
}

toolbar[iconsize="small"] #cut-button {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu");
}
toolbar[iconsize="small"] #cut-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu&state=disabled");
}

toolbar[iconsize="small"] #copy-button {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu");
}
toolbar[iconsize="small"] #copy-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu&state=disabled");
}

toolbar[iconsize="small"] #paste-button {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu");
}
toolbar[iconsize="small"] #paste-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu&state=disabled");
}

/* Fullscreen window controls */
#window-controls {
  -moz-box-align: start;
  padding: 0;
  border-left: 2px solid;
  -moz-border-left-colors: ThreeDHighlight ThreeDShadow;
}

#minimize-button {
  list-style-image: url("chrome://global/skin/icons/Minimize.gif");
}
#restore-button {
  list-style-image: url("chrome://global/skin/icons/Restore.gif");
}
#close-button {
  list-style-image: url("chrome://global/skin/icons/Close.gif");
}

/* Location bar */
#urlbar {
  width: 7em;
  min-width: 7em;
}

#urlbar-container {
  -moz-box-orient: horizontal;
  -moz-box-align: stretch;
}

#urlbar-icons {
  height: 18px;
  -moz-box-align: center;
  -moz-padding-end: 2px;
}

.urlbar-icon {
  cursor: pointer;
}

#urlbar-search-splitter {
  -moz-appearance: none;
  width: 8px;
  -moz-margin-start: -4px;
}

#urlbar-search-splitter + #urlbar-container > #urlbar ,
#urlbar-search-splitter + #search-container > #searchbar > .searchbar-textbox {
  -moz-margin-start: 0;
}

#wrapper-urlbar-container #urlbar {
  -moz-user-input: disabled;
  cursor: -moz-grab;
}

#wrapper-urlbar-container #urlbar > .autocomplete-textbox-container {
  -moz-appearance: textfield;
}

#wrapper-urlbar-container #urlbar > .autocomplete-history-dropmarker {
  display: none;
}

#PopupAutoComplete {
  direction: ltr !important;
}

#PopupAutoCompleteRichResult {
  direction: ltr !important;
}

#PopupAutoComplete[chromedir="rtl"] > tree > treerows {
  direction: rtl;
}

#PopupAutoComplete .autocomplete-treebody {
  direction: ltr;
}

/* Favicon */
#page-proxy-favicon,
#urlbar-throbber {
  width: 16px;
  height: 16px;
}

#page-proxy-stack {
  width: 24px;
  height: 20px;
  padding: 2px 4px;
  background: url(urlbar-favicon-glow.png) center center no-repeat;
}

#page-proxy-favicon:not([src]) {
  list-style-image: url("chrome://global/skin/icons/folder-item.png");
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}

#page-proxy-favicon[pageproxystate="invalid"] {
  -moz-image-region: rect(16px, 16px, 32px, 0px);
}

#urlbar-throbber {
  list-style-image: url("chrome://browser/skin/places/searching_16.png");
}

/* Identity indicator */
#identity-box {
  background-color: -moz-dialog;
  color: -moz-dialogtext;
  -moz-border-end: 1px solid ThreeDShadow;
}

#identity-box:focus {
  outline: 1px dotted -moz-DialogText;
}

#identity-icon-label {
  padding: 0 2px;
  margin: 0;
}

#identity-icon-label[value=""] {
  display: none;
}

#identity-box.verifiedDomain > hbox {
  background-color: rgba(30, 80, 170, 0.7);
  color: white;
}

#identity-box.verifiedIdentity > hbox {
  background-color: rgba(50, 150, 50, 0.8);
  color: white;
}

/* Identity popup icons */
#identity-popup-icon {
  height: 64px;
  width: 64px;
  padding: 0;
  list-style-image: url("chrome://browser/skin/identity.png");
  -moz-image-region: rect(0px, 64px, 64px, 0px);
}

#identity-popup.verifiedDomain > #identity-popup-container > #identity-popup-icon {
  -moz-image-region: rect(64px, 64px, 128px, 0px);
}

#identity-popup.verifiedIdentity > #identity-popup-container > #identity-popup-icon {
  -moz-image-region: rect(128px, 64px, 192px, 0px);
}

/* Identity popup body text */
#identity-popup-content-box > description,
#identity-popup-encryption-label {
  white-space: pre-wrap;
  padding-left: 15px;
  margin: 2px 0 4px;
}

#identity-popup-content-box > label {
  white-space: pre-wrap;
  padding-left: 15px;
  margin: 0;
}

#identity-popup-content-host ,
#identity-popup-content-owner {
  font-weight: bold;
  max-width: 300px;
}

#identity-popup-content-host ,
#identity-popup-content-box.verifiedIdentity > #identity-popup-content-owner {
  font-size: 140%;
}

#identity-popup-content-owner {
  margin-bottom: 0 !important;
}

#identity-popup-content-verifier {
  margin: 4px 0 2px;
}

#identity-popup-content-box.verifiedIdentity > #identity-popup-encryption ,
#identity-popup-content-box.verifiedDomain > #identity-popup-encryption {
  margin-top: 10px;
  margin-left: -18px;
}

#identity-popup-content-box.verifiedIdentity > #identity-popup-encryption > vbox > #identity-popup-encryption-icon ,
#identity-popup-content-box.verifiedDomain > #identity-popup-encryption > vbox > #identity-popup-encryption-icon {
  list-style-image: url("chrome://browser/skin/Secure.png");
}

/* Identity popup bounding box */
#identity-popup-container {
  background-image: none;
  min-width: 280px;
  padding: 10px;
}

#urlbar > .autocomplete-textbox-container {
  -moz-binding: url(chrome://browser/skin/browser.xml#autocomplete-security-wrapper);
}

#autocomplete-security-wrapper {
  /* keep the URL bar content LTR */
  direction: ltr;
  -moz-box-align: stretch;
  /* cover the white gap between the text field and the drop down button */
  margin-right: -3px;
}

#urlbar[chromedir="rtl"] > .autocomplete-textbox-container > #autocomplete-security-wrapper {
  margin-right: 0px;
  margin-left: -3px;
}

#wrapper-urlbar-container #urlbar >
.autocomplete-textbox-container > #autocomplete-security-wrapper {
  margin: 0px;
}

/* Feed icon */
#feed-button,
#feed-button > .button-box,
#feed-button:hover:active > .button-box {
  padding: 0px;
  margin: 0px;
  border: 0px; 
  background-color: transparent;
}

#feed-button {
  -moz-appearance: none; 
  min-width: 0px; 
  margin-right: 1px !important;
  list-style-image: url("chrome://browser/skin/page-livemarks.png");
}

/* Autocomplete */
#urlbar .autocomplete-textbox-container {
  -moz-box-align: stretch;
}

#treecolAutoCompleteImage {
  max-width : 36px; 
}

.ac-result-type-bookmark,
.autocomplete-treebody::-moz-tree-image(bookmark, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
  width: 16px;
  height: 16px;
}

.ac-result-type-keyword,
.autocomplete-treebody::-moz-tree-image(keyword, treecolAutoCompleteImage) {
  list-style-image: url(chrome://browser/skin/Search-glass.png);
  width: 16px;
  height: 16px;
}

.ac-result-type-tag,
.autocomplete-treebody::-moz-tree-image(tag, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/tag.png");
  width: 16px;
  height: 16px;
}

.ac-comment {
  font-size: 1.15em;
}

.ac-extra > .ac-comment {
  font-size: inherit;
}

.ac-url-text {
  color: -moz-nativehyperlinktext;
}

.autocomplete-treebody::-moz-tree-cell-text(treecolAutoCompleteComment) {
  color: GrayText;
}

.ac-comment[selected="true"], .ac-url-text[selected="true"] {
  color: inherit !important;
}

.autocomplete-treebody::-moz-tree-cell-text(suggesthint, treecolAutoCompleteComment), 
.autocomplete-treebody::-moz-tree-cell-text(suggestfirst, treecolAutoCompleteComment) {
  color: GrayText;
  font-size: smaller;
}

.autocomplete-treebody::-moz-tree-cell(suggesthint) {
  border-top: 1px solid GrayText;
}

/* Go button */
#go-button {
  padding: 3px 2px 2px 2px;
  list-style-image: url("chrome://browser/skin/Go-arrow.png");
}

/* Star button */
#star-button {
  padding: 1px;
  list-style-image: url("chrome://browser/skin/places/starPage.png");
}

#star-button[starred="true"] {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
}

/* Bookmarking panel */
#editBookmarkPanel {
  padding: 4px;
}

#editBookmarkPanelStarIcon {
  list-style-image: url("chrome://browser/skin/places/starred48.png");
  width: 48px;
  height: 48px;
}

#editBookmarkPanelStarIcon[unstarred] {
  list-style-image: url("chrome://browser/skin/places/unstarred48.png");
}

#editBookmarkPanelTitle {
  font-size: 130%;
}

/* Content area */
#sidebar {
  background-color: Window;
}

#status-bar {
  border-top: none;
}

statusbarpanel#statusbar-display {
  -moz-padding-start: 0;
}

#security-button {
  min-width: 20px;
  -moz-box-direction: reverse;
}

#security-button[level="high"],
#security-button[level="low"] {
  list-style-image: url("chrome://browser/skin/Secure.png");
}

#security-button[level="broken"] {
  list-style-image: url("chrome://browser/skin/Security-broken.png");
}

/* XXXsw prevent margins of a value-less label from shifting the image */
#security-button > label:not([value]) {
  display: none;
}

#page-report-button {
  list-style-image: url("chrome://browser/skin/Info.png");
  width: 20px;
}

/* Throbber */
#navigator-throbber {
  width: 16px;
  min-height: 16px;
  margin: 0 3px;
  list-style-image: url("chrome://global/skin/icons/notloading_16.png");
}

#navigator-throbber[busy="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
}


tabpanels {
  -moz-appearance: none;
}

/* Tabs */
.tabbrowser-tab {
  border: none !important;
  padding: 0px;
  margin-bottom: 1px;
}

.tabbrowser-tab[selected="true"] {
  margin-bottom: 0px;
}

.tab-icon-image {
  width: 16px;
  height: 16px;
  -moz-margin-start: 4px;
  -moz-margin-end: 3px;
  list-style-image: url("chrome://global/skin/icons/folder-item.png");
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}

.tabbrowser-tab[busy] > .tab-icon-image {
  list-style-image: url("chrome://global/skin/icons/loading_16.png") !important;
}

.tabs-bottom {
  border-bottom: 1px solid threedshadow;
}

#context_newTab {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 64px 16px 48px);
}

#context_newTab[disabled] {
  -moz-image-region: rect(16px 64px 32px 48px);
}

#context_reloadTab {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}

#context_closeOtherTabs {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu");
}

#context_closeOtherTabs[disabled] {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu&state=disabled");
}

#context_undoCloseTab {
  list-style-image: url("moz-icon://stock/gtk-undelete?size=menu");
}

#context_closeTab {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

/* tabbrowser-tab focus ring */
.tabbrowser-tab > .tab-text {
  border: 1px dotted transparent;
}

.tabbrowser-tab[selected="true"]:focus > .tab-text {
  border: 1px dotted -moz-DialogText;
}

/* Tab drag and drop */
.tab-drop-indicator-bar {
  height: 11px;
  margin-top: -11px;
  position: relative;
  /* set -moz-margin-start to -1/2 indicator width: */
  -moz-margin-start: -5px;
}

.tab-drop-indicator {
  height: 11px;
  width: 11px;
  margin-bottom: -5px;
  position: relative;
  background: url('chrome://browser/skin/tabbrowser/tabDragIndicator.png') 50% 50% no-repeat;
}

/* In-tab close button */
.tab-close-button > .toolbarbutton-icon {
  /* XXX Buttons have padding in widget/ that we don't want here but can't override with good CSS, so we must
     use evil CSS to give the impression of smaller content */
  margin: -3px !important;
}

.tab-close-button {
  -moz-margin-end: 6px;
  padding: 0px;
  border: none;
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

.tabbrowser-tab[selected="true"] > .tab-close-button {
  /* Make this button focusable so clicking on it will not focus the tab while
     it's getting closed */
  -moz-user-focus: normal;
}

.tab-close-button:focus {
  outline: none !important;
}

/* New tab button */
.tabs-newtab-button {
  list-style-image: url(chrome://browser/skin/tabbrowser/newtab.png);
  border: none;
}

.tabs-newtab-button > .toolbarbutton-icon {
  margin: -1px 0 0;
}

/* Tabstrip close button */
.tabs-closebutton {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
  border: none;
}

.tabs-closebutton > .toolbarbutton-icon {
  margin: 0;
}

/* Tabbrowser arrowscrollbox arrows */
.tabbrowser-arrowscrollbox > .scrollbutton-up {
  -moz-appearance: tab-scroll-arrow-back;
  margin: 0px;
}

.tabbrowser-arrowscrollbox > .scrollbutton-down {
  -moz-appearance: tab-scroll-arrow-forward;
  margin: 0px;
}

.tabs-alltabs-box-animate {
  background-color: Highlight;
  opacity: 0.0;
}

.tabs-alltabs-button > .toolbarbutton-icon {
  list-style-image: url("chrome://browser/skin/tabbrowser/alltabs.png");
  margin: 2px 0 2px;
}

/* Sidebar */
#sidebar-box .tabs-closebutton {
  margin-bottom: 0px !important;
  padding: 0px 2px 0px 2px !important;
}

#sidebar-throbber[loading="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
  -moz-margin-end: 4px;
}

toolbarbutton.chevron {
  list-style-image: url("chrome://global/skin/toolbar/chevron.gif") !important;
}

toolbarbutton.chevron[chromedir="rtl"] {
  list-style-image: url("chrome://global/skin/toolbar/chevron-rtl.gif") !important;
}

toolbarbutton.chevron > .toolbarbutton-text {
  display: none; /* hide chevron label */
}

toolbarbutton.chevron > .toolbarbutton-menu-dropmarker {
  display: none;
}

toolbar[mode="text"] toolbarbutton.chevron > .toolbarbutton-icon {
  display: -moz-box; /* display chevron icon in text mode */
}

toolbar[mode="text"] > #window-controls > toolbarbutton > .toolbarbutton-icon {
  display: -moz-box;
}

toolbar[mode="text"] > #window-controls > toolbarbutton > .toolbarbutton-text {
   display: none;
}

/* Popup blocking dialog */
#pageReportFirstTime statusbarpanel.statusbar-resizerpanel {
  visibility: collapse;
}

#checkForUpdates[loading="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
}

#download-monitor {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}

/* ::::: Ctrl-Tab Panel ::::: */
#ctrlTab-panel {
  padding-top: 15px;
}

#ctrlTab-search {
  margin: 0 0 15px;
}

.ctrlTab-thumbnail {
  margin-bottom: 15px;
  cursor: pointer;
}

.ctrlTab-thumbnail > html|canvas {
  border: 1px solid ThreeDShadow;
  margin: -1px;
}

.ctrlTab-thumbnail[selected="true"] ,
.ctrlTab-thumbnail:hover {
  background: Highlight;
  color: HighlightText;
  -moz-box-shadow: 0 0 2px Highlight, 0 0 2px Highlight, 0 0 3px Highlight, 0 0 4px Highlight, 0 0 10px Highlight, 0 0 15px Highlight;
}
 
.ctrlTab-pagePointer {
  margin: 0 1em 1em;
  width: 1.5em;
  height: 1.5em;
  -moz-border-radius: .75em;
  background: ThreeDShadow;
  cursor: pointer;
}

.ctrlTab-pagePointer[selected="true"] {
  background: ThreeDDarkShadow;
  cursor: default;
}
